ts wrote:

>>>>>> "R" == Roeland Moors <roelandmoors / telenet.be> writes:
> 
> R> I did a debian upgrade today, could that cause the problem. A new
> R> library or something?
> 
>  You have a problem with your installation
> 
> svg% ls dsc01748.jpg
> dsc01748.jpg
> svg%
> 
> svg% ruby -rRMagick -e 'p Magick::ImageList.new("dsc01748.jpg")'
> [dsc01748.jpg JPEG 480x480 DirectClass 8-bit 28716b]
> scene=0
> svg%
> 
>  try to rebuild RMagick
> 
> 
> Guy Decoux

Guy is right as usual. Looks like that Debian upgrade left you with a newer
version of ImageMagick than the one that RMagick was built with.  Re-build
RMagick, starting with ./configure. (Hmmmm...make sure your RMagick
supports the new ImageMagick. RMagick 1.6.0 is the latest version of
RMagick.)

Let me know if this doesn't do the trick.